Token transfer Execute (asynchronous)
POST
/v1/transfer/token
const url = 'https://api.parasta.io/v1/transfer/token';const options = { method: 'POST', headers: { 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', Authorization: 'Bearer <token>', 'Content-Type': 'application/json' }, body: '{"request":{"networkId":"example","tokenId":"example","to":"example","amount":"example","memo":"example","travelRule":{"senderName":"example","senderAddress":"example","recipientName":"example","recipientAddress":"example"}},"signing":{"items":[{"id":"example","parameter":{"algorithm":"ecdsa-secp256k1-keccak","keyUri":"example","domain":{},"authMethod":"passkey"},"signature":{"authResponse":{}}}]}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/transfer/token \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --data '{ "request": { "networkId": "example", "tokenId": "example", "to": "example", "amount": "example", "memo": "example", "travelRule": { "senderName": "example", "senderAddress": "example", "recipientName": "example", "recipientAddress": "example" } }, "signing": { "items": [ { "id": "example", "parameter": { "algorithm": "ecdsa-secp256k1-keccak", "keyUri": "example", "domain": {}, "authMethod": "passkey" }, "signature": { "authResponse": {} } } ] } }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Header Parameters
Section titled “Header Parameters ” Idempotency-Key
required
string format: uuid
IETF draft-ietf-httpapi-idempotency-key-header. Generated freshly by the client for each request.
Request Body required
Section titled “Request Body required ” Media type application/json
object
request
required
object
networkId
required
string
tokenId
required
string
to
required
Recipient address
string
amount
required
Raw token amount (decimals not applied)
string
memo
string
travelRule
object
senderName
string
senderAddress
string
recipientName
string
recipientAddress
string
signing
required
object
items
required
Array<object>
object
id
required
string
parameter
required
Time- and state-independent parameters of a signing slot.
One of two modes: on-chain signing (algorithm + keyUri + domain) or 2FA (authMethod).
object
algorithm
E.g.: ecdsa-secp256k1-keccak, eip191-personal-sign,
eip712-erc4337-userop-v1, eip712-erc4337-merkleroot-v1.
string
Example
ecdsa-secp256k1-keccak keyUri
string
domain
object
key
additional properties
any
authMethod
string
Responses
Section titled “ Responses ”Asynchronous job accepted
Media type application/json
object
jobId
required
string
status
required
string
Example
{ "status": "submitted"}